if RequiredScript == "lib/managers/enemymanager" then
	log("enemymanager")
  EnemyManager._MAX_NR_CORPSES = 0
	local old_init = EnemyManager.init
	function EnemyManager:init(...)
		old_init(self, ...)
		self._corpse_disposal_upd_interval = 0
	end
  function EnemyManager:on_enemy_died(dead_unit, damage_info)
	if self._destroyed then
		debug_pause("[EnemyManager:on_enemy_died] enemy manager is destroyed", dead_unit)
	end

	local u_key = dead_unit:key()
	local enemy_data = self._enemy_data
	local u_data = enemy_data.unit_data[u_key]

	self:on_enemy_unregistered(dead_unit)

	enemy_data.unit_data[u_key] = nil

	managers.mission:call_global_event("enemy_killed")

	local atk_from_pos = damage_info.attacker_unit and damage_info.attacker_unit:position()

	if atk_from_pos then
		local world = managers.worldcollection:get_world_id_from_pos(atk_from_pos)
		local alarm = managers.worldcollection:get_alarm_for_world(world)
		local is_cool = dead_unit:movement() and dead_unit:movement():cool()

		if not alarm and is_cool then
			managers.dialog:queue_dialog("player_gen_stealth_kill", {
				skip_idle_check = true,
				instigator = damage_info.attacker_unit
			})
		end
	end

	if dead_unit:movement() then
		dead_unit:movement():anim_clbk_close_parachute()
	end

	enemy_data.nr_corpses = enemy_data.nr_corpses + 1
	enemy_data.corpses[dead_unit:id()] = u_data
	u_data.death_t = 0

	self:_destroy_unit_gfx_lod_data(u_key)

	u_data.u_id = dead_unit:id()
	local contour_ext = dead_unit:contour()

	if contour_ext then
		contour_ext:disable()
	end
end
end
